<template lang="pug">

mixin ParamReadonly
  ParamReadonly.col-12.col-sm-6.col-lg-4.col-xl-2&attributes(attributes)

.col-12.mt-2
  .row.b-param-container(v-if="stats")
    +ParamReadonly(v-if='showStats(stats.rate)'
      title='Transfer Rate' :inEdit='inEdit' :value="stats.rate | b-byteSize")
    +ParamReadonly(v-if='showStats(stats.transferred)'
      title='Transferred' :inEdit='inEdit' :value="stats.transferred | b-byteSize")
    +ParamReadonly(v-if='showStats(stats.incomplete)'
      title='Incomplete' :inEdit='inEdit' :value="stats.incomplete")
    +ParamReadonly(v-if='showStats(stats.waitingApproval)'
      title='Waiting Approval' :inEdit='inEdit' :value="stats.waitingApproval")
    +ParamReadonly(v-if='showStats(stats.waiting)'
      title='Waiting' :inEdit='inEdit' :value="stats.waiting")
    +ParamReadonly(v-if='showStats(stats.transferring)'
      title='Transferring' :inEdit='inEdit' :value="stats.transferring")
    +ParamReadonly(v-if='showStats(stats.copied)'
      title='Copied' :inEdit='inEdit' :value="stats.copied")
    +ParamReadonly(v-if='showStats(stats.migrated)'
      title='Migrated' :inEdit='inEdit' :value="stats.migrated")
    +ParamReadonly(v-if='showStats(stats.ignored)'
      title='Ignored' :inEdit='inEdit' :value="stats.ignored") //TODO Yellow header
    +ParamReadonly(v-if='showStats(stats.failed)'
      title='Failed' :inEdit='inEdit' :value="stats.failed") //TODO Red Header
  .row(v-else) Data not available.
</template>
<script>

export { default } from './RFMergerStatsView.vue.js';

</script>
